Index: src/backend/executor/execProcnode.c
===================================================================
RCS file: /home/neilc/private-cvsroot/pgsql-server/src/backend/executor/execProcnode.c,v
retrieving revision 1.44
diff -c -r1.44 execProcnode.c
*** src/backend/executor/execProcnode.c	29 Aug 2004 04:12:31 -0000	1.44
--- src/backend/executor/execProcnode.c	23 Sep 2004 07:37:58 -0000
***************
*** 293,299 ****
  			break;
  
  		case T_AppendState:
! 			result = ExecProcAppend((AppendState *) node);
  			break;
  
  			/*
--- 293,299 ----
  			break;
  
  		case T_AppendState:
! 			result = ExecAppend((AppendState *) node);
  			break;
  
  			/*
Index: src/backend/executor/nodeAppend.c
===================================================================
RCS file: /home/neilc/private-cvsroot/pgsql-server/src/backend/executor/nodeAppend.c,v
retrieving revision 1.59
diff -c -r1.59 nodeAppend.c
*** src/backend/executor/nodeAppend.c	29 Aug 2004 04:12:31 -0000	1.59
--- src/backend/executor/nodeAppend.c	23 Sep 2004 07:37:58 -0000
***************
*** 14,20 ****
   */
  /* INTERFACE ROUTINES
   *		ExecInitAppend	- initialize the append node
!  *		ExecProcAppend	- retrieve the next tuple from the node
   *		ExecEndAppend	- shut down the append node
   *		ExecReScanAppend - rescan the append node
   *
--- 14,20 ----
   */
  /* INTERFACE ROUTINES
   *		ExecInitAppend	- initialize the append node
!  *		ExecAppend		- retrieve the next tuple from the node
   *		ExecEndAppend	- shut down the append node
   *		ExecReScanAppend - rescan the append node
   *
***************
*** 90,96 ****
  		/*
  		 * if scanning in reverse, we start at the last scan in the list
  		 * and then proceed back to the first.. in any case we inform
! 		 * ExecProcAppend that we are at the end of the line by returning
  		 * FALSE
  		 */
  		appendstate->as_whichplan = appendstate->as_firstplan;
--- 90,96 ----
  		/*
  		 * if scanning in reverse, we start at the last scan in the list
  		 * and then proceed back to the first.. in any case we inform
! 		 * ExecAppend that we are at the end of the line by returning
  		 * FALSE
  		 */
  		appendstate->as_whichplan = appendstate->as_firstplan;
***************
*** 134,140 ****
   *	   (This is potentially wasteful, since the entire result of the
   *		append node may not be scanned, but this way all of the
   *		structures get allocated in the executor's top level memory
!  *		block instead of that of the call to ExecProcAppend.)
   *
   *		Special case: during an EvalPlanQual recheck query of an inherited
   *		target relation, we only want to initialize and scan the single
--- 134,140 ----
   *	   (This is potentially wasteful, since the entire result of the
   *		append node may not be scanned, but this way all of the
   *		structures get allocated in the executor's top level memory
!  *		block instead of that of the call to ExecAppend.)
   *
   *		Special case: during an EvalPlanQual recheck query of an inherited
   *		target relation, we only want to initialize and scan the single
***************
*** 246,260 ****
  }
  
  /* ----------------------------------------------------------------
!  *	   ExecProcAppend
   *
   *		Handles the iteration over the multiple scans.
-  *
-  *	   NOTE: Can't call this ExecAppend, that name is used in execMain.
   * ----------------------------------------------------------------
   */
  TupleTableSlot *
! ExecProcAppend(AppendState *node)
  {
  	EState	   *estate;
  	int			whichplan;
--- 246,258 ----
  }
  
  /* ----------------------------------------------------------------
!  *	   ExecAppend
   *
   *		Handles the iteration over the multiple scans.
   * ----------------------------------------------------------------
   */
  TupleTableSlot *
! ExecAppend(AppendState *node)
  {
  	EState	   *estate;
  	int			whichplan;
***************
*** 310,316 ****
  		if (exec_append_initialize_next(node))
  		{
  			ExecSetSlotDescriptorIsNew(result_slot, true);
! 			return ExecProcAppend(node);
  		}
  		else
  			return ExecClearTuple(result_slot);
--- 308,314 ----
  		if (exec_append_initialize_next(node))
  		{
  			ExecSetSlotDescriptorIsNew(result_slot, true);
! 			return ExecAppend(node);
  		}
  		else
  			return ExecClearTuple(result_slot);
Index: src/backend/po/cs.po
===================================================================
RCS file: /home/neilc/private-cvsroot/pgsql-server/src/backend/po/cs.po,v
retrieving revision 1.2
diff -c -r1.2 cs.po
*** src/backend/po/cs.po	19 Nov 2002 17:21:37 -0000	1.2
--- src/backend/po/cs.po	23 Sep 2004 07:38:03 -0000
***************
*** 4961,4967 ****
  msgstr ""
  
  #: ../executor/nodeAppend.c:293
! msgid "ExecProcAppend: subnode is NULL"
  msgstr ""
  
  #: ../executor/nodeHash.c:66
--- 4961,4967 ----
  msgstr ""
  
  #: ../executor/nodeAppend.c:293
! msgid "ExecAppend: subnode is NULL"
  msgstr ""
  
  #: ../executor/nodeHash.c:66
Index: src/backend/po/hu.po
===================================================================
RCS file: /home/neilc/private-cvsroot/pgsql-server/src/backend/po/hu.po,v
retrieving revision 1.6
diff -c -r1.6 hu.po
*** src/backend/po/hu.po	29 Nov 2003 19:51:53 -0000	1.6
--- src/backend/po/hu.po	23 Sep 2004 07:38:06 -0000
***************
*** 4925,4931 ****
  msgstr ""
  
  #: ../executor/nodeAppend.c:293
! msgid "ExecProcAppend: subnode is NULL"
  msgstr ""
  
  #: ../executor/nodeHash.c:66
--- 4925,4931 ----
  msgstr ""
  
  #: ../executor/nodeAppend.c:293
! msgid "ExecAppend: subnode is NULL"
  msgstr ""
  
  #: ../executor/nodeHash.c:66
Index: src/include/executor/nodeAppend.h
===================================================================
RCS file: /home/neilc/private-cvsroot/pgsql-server/src/include/executor/nodeAppend.h,v
retrieving revision 1.21
diff -c -r1.21 nodeAppend.h
*** src/include/executor/nodeAppend.h	29 Aug 2004 04:13:06 -0000	1.21
--- src/include/executor/nodeAppend.h	23 Sep 2004 07:38:06 -0000
***************
*** 18,24 ****
  
  extern int	ExecCountSlotsAppend(Append *node);
  extern AppendState *ExecInitAppend(Append *node, EState *estate);
! extern TupleTableSlot *ExecProcAppend(AppendState *node);
  extern void ExecEndAppend(AppendState *node);
  extern void ExecReScanAppend(AppendState *node, ExprContext *exprCtxt);
  
--- 18,24 ----
  
  extern int	ExecCountSlotsAppend(Append *node);
  extern AppendState *ExecInitAppend(Append *node, EState *estate);
! extern TupleTableSlot *ExecAppend(AppendState *node);
  extern void ExecEndAppend(AppendState *node);
  extern void ExecReScanAppend(AppendState *node, ExprContext *exprCtxt);
  
